[SCM] live-helper branch, debian, updated. debian/2.0_a1-1-1-g9c699b8

Daniel Baumann daniel at debian.org
Mon Nov 16 07:29:49 UTC 2009


The following commit has been merged in the debian branch:
commit 9c699b8bfcc08af6be6162c742d60120f681e336
Author: Daniel Baumann <daniel at debian.org>
Date:   Mon Nov 16 08:28:06 2009 +0100

    Updating config tree version checks.

diff --git a/functions/defaults.sh b/functions/defaults.sh
index 30cdfc6..d179a7e 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -1029,12 +1029,17 @@ Check_defaults ()
 		# except when bootstrapping the functions/defaults etc.).
 		CURRENT_CONFIG_VERSION="$(echo ${LH_CONFIG_VERSION} | awk -F. '{ print $1 }')"
 
-		if [ ${CURRENT_CONFIG_VERSION} -ge 2 ]
+		if [ ${CURRENT_CONFIG_VERSION} -ge 3 ]
 		then
 			Echo_error "This config tree is too new for this version of live-helper (${VERSION})."
 			Echo_error "Aborting build, please get a new version of live-helper."
 
 			exit 1
+		elif [ ${CURRENT_CONFIG_VERSION} -eq 1 ]
+		then
+			Echo_error "This config tree is too old for this version of live-heloer (${VERSION})."
+			Echo_error "Aborting build, please repopulate the config tree."
+			exit 1
 		elif [ ${CURRENT_CONFIG_VERSION} -lt 1 ]
 		then
 			Echo_warning "This config tree does not specify a format version or has an unknown version number."

-- 
live-helper



More information about the debian-live-changes mailing list